"{ Package: 'stx:goodies/xtreams/transforms/tests' }"

LibraryDefinition subclass:#stx_goodies_xtreams_transforms_tests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_goodies_xtreams_transforms_tests class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
	#'stx:goodies/sunit'    "TestAsserter - superclass of Xtreams::MessagePackMarshalerTest "
	#'stx:goodies/xtreams/core'    "Xtreams::Incomplete - referenced by Xtreams::ReadingWritingTest>>testReadTransformingPastEnd "
	#'stx:goodies/xtreams/core/tests'    "Xtreams::ReadingWritingTest - superclass of extended Xtreams::CollectionReadingWritingTest "
	#'stx:goodies/xtreams/terminals/tests'    "Xtreams::CollectionReadingWritingTest - extended "
	#'stx:goodies/xtreams/transforms'    "Xtreams::ObjectMarshaler - referenced by Xtreams::ObjectMarshalerTest>>setUp "
	#'stx:libbasic'    "Object - superclass of Xtreams::stx_goodies_xtreams_transforms_tests "
	#'stx:libbasic2'    "Random - referenced by Xtreams::ReadingWritingTest>>testInterpretingPoints "
	#'stx:libcompat'    "IOAccessor - referenced by Xtreams::ReadingWritingTest>>testWriteEncodingCRLF "
    )
! !

!stx_goodies_xtreams_transforms_tests class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
	"<className> or (<className> attributes...) in load order"
	#'Xtreams::DuplicateTest'
	#'Xtreams::InterpretingStreamTest'
	#'Xtreams::MessagePackMarshalerTest'
	#'Xtreams::ObjectMarshalerTest'
	#'stx_goodies_xtreams_transforms_tests'
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
	#'Xtreams::CollectionReadingWritingTest' testReadRejecting
	#'Xtreams::CollectionReadingWritingTest' testReadSelecting
	#'Xtreams::CollectionReadingWritingTest' testWriteRejecting
	#'Xtreams::CollectionReadingWritingTest' testWriteSelecting
	#'Xtreams::CollectionReadingWritingTest' testWriteTransformHexToByte
	#'Xtreams::FiniteReadingWritingTests' testInterpretingDoubles
	#'Xtreams::FiniteReadingWritingTests' testWriteTransformingOverLimitingPastEnd
	#'Xtreams::FiniteReadingWritingTests' testWriteTransformingPastEnd
	#'Xtreams::ReadingWritingTest' testDoing
	#'Xtreams::ReadingWritingTest' testInterpretingPoints
	#'Xtreams::ReadingWritingTest' testMarshaling
	#'Xtreams::ReadingWritingTest' testReadCollecting
	#'Xtreams::ReadingWritingTest' testReadCollectingContentsSpeciesChanged
	#'Xtreams::ReadingWritingTest' testReadDecodingBase64
	#'Xtreams::ReadingWritingTest' testReadDecodingCRLF
	#'Xtreams::ReadingWritingTest' testReadDecodingTransparent
	#'Xtreams::ReadingWritingTest' testReadDecodingUTF16
	#'Xtreams::ReadingWritingTest' testReadDecodingUTF8
	#'Xtreams::ReadingWritingTest' testReadDuplicating
	#'Xtreams::ReadingWritingTest' testReadInjecting
	#'Xtreams::ReadingWritingTest' testReadRejecting
	#'Xtreams::ReadingWritingTest' testReadSelecting
	#'Xtreams::ReadingWritingTest' testReadTransforming1into2
	#'Xtreams::ReadingWritingTest' testReadTransforming2into1
	#'Xtreams::ReadingWritingTest' testReadTransformingPastEnd
	#'Xtreams::ReadingWritingTest' testReadUnsignedShortEndianness
	#'Xtreams::ReadingWritingTest' testWriteCollecting
	#'Xtreams::ReadingWritingTest' testWriteCollectingIncompatibleContentSpecies
	#'Xtreams::ReadingWritingTest' testWriteCollectingMultipleBufferSize
	#'Xtreams::ReadingWritingTest' testWriteDuplicating
	#'Xtreams::ReadingWritingTest' testWriteEncodingBase64
	#'Xtreams::ReadingWritingTest' testWriteEncodingCRLF
	#'Xtreams::ReadingWritingTest' testWriteEncodingTransparent
	#'Xtreams::ReadingWritingTest' testWriteEncodingUTF16
	#'Xtreams::ReadingWritingTest' testWriteEncodingUTF8
	#'Xtreams::ReadingWritingTest' testWriteInjecting
	#'Xtreams::ReadingWritingTest' testWriteRejecting
	#'Xtreams::ReadingWritingTest' testWriteSelecting
	#'Xtreams::ReadingWritingTest' testWriteTransformHexToByte
	#'Xtreams::ReadingWritingTest' testWriteTransforming1into2
	#'Xtreams::ReadingWritingTest' testWriteTransforming2into1
	#'Xtreams::ReadingWritingTest' testWriteUnsignedShortEndianness
    )
! !

!stx_goodies_xtreams_transforms_tests class methodsFor:'documentation'!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

